# coding: utf-8
class Parallel < ActiveRecord::Base
  named_scope :recent, :order=>"created_at", :limit=>5
  named_scope :popular, :order=>"views", :limit=>5
  named_scope :good, :conditions => {"is_good"=>true}, :order=>"updated_at", :limit=>5

  belongs_to :video1, :class_name => "Video"
  belongs_to :video2, :class_name => "Video"
  has_and_belongs_to_many :tags

  validates_presence_of :video1, :video2
  validates_uniqueness_of :name

  def before_save
    if !self.name || self.name.empty?
      self.name = "#{self.vid1.name} vs #{self.vid2.name}"
    end
    self.urlized = urlizer(self.name)
  end

  def after_create
    Tuitero.say("New parallel! http://parallelversions.com/#{self.urlized}")
  end

end
